import { computed } from "vue";
import { u as useGlobalConfig } from "./useGlobalConfig.js";
const useI18nConfig = () => {
  const { globalConfig, mergeGlobalConfig } = useGlobalConfig();
  const config = computed(() => globalConfig.value.i18n);
  const mergeIntoConfig = (newConfig) => {
    mergeGlobalConfig({
      i18n: {
        ...config.value,
        ...newConfig
      }
    });
  };
  return {
    config,
    mergeIntoConfig
  };
};
export {
  useI18nConfig as u
};
//# sourceMappingURL=useI18n.js.map
