import { defineComponent, computed, openBlock, createElementBlock, normalizeStyle, renderSlot } from "vue";
import { u as useComponentPresetProp } from "../../composables/useComponentPreset.mjs";
import { u as useColors } from "../../composables/useColors.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...{
    name: "VaListLabel"
  },
  __name: "VaListLabel",
  props: {
    ...useComponentPresetProp,
    color: { type: String, default: "primary" }
  },
  setup(__props) {
    const props = __props;
    const { getColor } = useColors();
    const computedStyle = computed(() => ({
      color: getColor(props.color)
    }));
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: "va-list-label",
        style: normalizeStyle(computedStyle.value)
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 4);
    };
  }
});
export {
  _sfc_main as _
};
//# sourceMappingURL=VaListLabel.vue_vue_type_script_setup_true_lang.mjs.map
