import { watchEffect, nextTick } from "vue";
import { a as focusElement } from "../utils/focus.mjs";
import { u as unwrapEl } from "../utils/unwrapEl.mjs";
const useImmediateFocus = (el) => {
  watchEffect(() => {
    if (el.value) {
      nextTick(() => {
        focusElement(unwrapEl(el.value));
      });
    }
  });
};
export {
  useImmediateFocus as u
};
//# sourceMappingURL=useImmediateFocus.mjs.map
