import { v as vuesticComponents } from "../components.mjs";
import { s as setCurrentApp } from "../../current-app.mjs";
import { u as usePlugin } from "../utils/use-plugin.mjs";
import { G as GlobalConfigPlugin } from "../../global-config/plugin/index.mjs";
import { C as ColorConfigPlugin } from "../../color/plugin/index.mjs";
import { C as CachePlugin } from "../../cache/plugin/index.mjs";
import { C as ColorsClassesPlugin } from "../../colors-classes/plugin/index.mjs";
import { B as BreakpointConfigPlugin } from "../../breakpoint/plugin/index.mjs";
import { V as VaDropdownPlugin } from "../../../components/va-dropdown/plugin/index.mjs";
import { V as VaToastPlugin } from "../../../components/va-toast/plugin/index.mjs";
import { V as VaModalPlugin } from "../../../components/va-modal/plugin/index.mjs";
import { d as defineVuesticPlugin } from "../utils/define-vuestic-plugin.mjs";
const createVuestic = defineVuesticPlugin((options = {}) => ({
  install(app) {
    const { config } = options;
    setCurrentApp(app);
    Object.entries(vuesticComponents).forEach(([name, component]) => {
      app.component(name, component);
    });
    usePlugin(app, GlobalConfigPlugin(config));
    usePlugin(app, CachePlugin);
    usePlugin(app, ColorConfigPlugin(config));
    usePlugin(app, ColorsClassesPlugin);
    usePlugin(app, BreakpointConfigPlugin);
    usePlugin(app, VaDropdownPlugin);
    usePlugin(app, VaToastPlugin);
    usePlugin(app, VaModalPlugin);
    setCurrentApp(null);
  }
}));
export {
  createVuestic as c
};
//# sourceMappingURL=create-vuestic.mjs.map
