import type { ExtractPropTypes, PropType, Ref } from 'vue';
import type { PlacementWithAlias } from '../../../composables';
import type { BadgeOffsetProp } from '../types';
export declare const useFloatingPositionProps: {
    overlap: {
        type: BooleanConstructor;
        default: boolean;
    };
    placement: {
        type: PropType<PlacementWithAlias>;
        default: string;
        validator: (position: PlacementWithAlias) => boolean;
    };
    offset: {
        type: PropType<BadgeOffsetProp>;
        default: number;
        validator: (value: keyof BadgeOffsetProp) => boolean;
    };
};
export declare const useFloatingPosition: (props: ExtractPropTypes<typeof useFloatingPositionProps>, floating: Ref<boolean>) => {};
