import { PropType } from 'vue';
import type { ButtonOption } from './types';
import type { StringOrFunction } from '../../composables';
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
        default: string;
    };
    options: {
        type: PropType<ButtonOption[]>;
        required: true;
    };
    activeButtonTextColor: {
        type: StringConstructor;
    };
    toggleColor: {
        type: StringConstructor;
        default: string;
    };
    textBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    valueBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    trackBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    disabledBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    groupBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    preset: {
        type: StringConstructor;
        default: undefined;
    };
    size: {
        type: PropType<NonNullable<NonNullable<"small" | "medium" | "large" | undefined> | undefined>>;
        required: true;
        default: NonNullable<"small" | "medium" | "large" | undefined> | undefined;
    };
    replace: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    append: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    type: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    disabled: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    tag: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    href: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    color: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    loading: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    to: {
        type: PropType<NonNullable<NonNullable<string | Record<string, any> | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | Record<string, any> | undefined> | undefined;
    };
    exact: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    activeClass: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    exactActiveClass: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    target: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    sizesConfig: {
        type: PropType<Record<string, any>>;
        required: true;
        default: Record<string, any> | undefined;
    };
    textColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    round: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    fontSizesConfig: {
        type: PropType<Record<string, any>>;
        required: true;
        default: Record<string, any> | undefined;
    };
    icon: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    textOpacity: {
        type: PropType<NonNullable<NonNullable<string | number | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | number | undefined> | undefined;
    };
    backgroundOpacity: {
        type: PropType<NonNullable<NonNullable<string | number | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | number | undefined> | undefined;
    };
    borderColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    gradient: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    plain: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    iconRight: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    iconColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    pressedBehavior: {
        type: PropType<NonNullable<NonNullable<"mask" | "opacity" | undefined> | undefined>>;
        required: true;
        default: NonNullable<"mask" | "opacity" | undefined> | undefined;
    };
    pressedOpacity: {
        type: PropType<number>;
        required: true;
        default: number | undefined;
    };
    pressedMaskColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    hoverBehavior: {
        type: PropType<NonNullable<NonNullable<"mask" | "opacity" | undefined> | undefined>>;
        required: true;
        default: NonNullable<"mask" | "opacity" | undefined> | undefined;
    };
    hoverOpacity: {
        type: PropType<NonNullable<NonNullable<string | number | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | number | undefined> | undefined;
    };
    hoverMaskColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    grow: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
        default: string;
    };
    options: {
        type: PropType<ButtonOption[]>;
        required: true;
    };
    activeButtonTextColor: {
        type: StringConstructor;
    };
    toggleColor: {
        type: StringConstructor;
        default: string;
    };
    textBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    valueBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    trackBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    disabledBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    groupBy: {
        type: PropType<StringOrFunction>;
        default: string;
    };
    preset: {
        type: StringConstructor;
        default: undefined;
    };
    size: {
        type: PropType<NonNullable<NonNullable<"small" | "medium" | "large" | undefined> | undefined>>;
        required: true;
        default: NonNullable<"small" | "medium" | "large" | undefined> | undefined;
    };
    replace: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    append: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    type: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    disabled: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    tag: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    href: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    color: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    loading: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    to: {
        type: PropType<NonNullable<NonNullable<string | Record<string, any> | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | Record<string, any> | undefined> | undefined;
    };
    exact: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    activeClass: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    exactActiveClass: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    target: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    sizesConfig: {
        type: PropType<Record<string, any>>;
        required: true;
        default: Record<string, any> | undefined;
    };
    textColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    round: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    fontSizesConfig: {
        type: PropType<Record<string, any>>;
        required: true;
        default: Record<string, any> | undefined;
    };
    icon: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    textOpacity: {
        type: PropType<NonNullable<NonNullable<string | number | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | number | undefined> | undefined;
    };
    backgroundOpacity: {
        type: PropType<NonNullable<NonNullable<string | number | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | number | undefined> | undefined;
    };
    borderColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    gradient: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    plain: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    iconRight: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    iconColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    pressedBehavior: {
        type: PropType<NonNullable<NonNullable<"mask" | "opacity" | undefined> | undefined>>;
        required: true;
        default: NonNullable<"mask" | "opacity" | undefined> | undefined;
    };
    pressedOpacity: {
        type: PropType<number>;
        required: true;
        default: number | undefined;
    };
    pressedMaskColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    hoverBehavior: {
        type: PropType<NonNullable<NonNullable<"mask" | "opacity" | undefined> | undefined>>;
        required: true;
        default: NonNullable<"mask" | "opacity" | undefined> | undefined;
    };
    hoverOpacity: {
        type: PropType<NonNullable<NonNullable<string | number | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | number | undefined> | undefined;
    };
    hoverMaskColor: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    grow: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    size: NonNullable<NonNullable<"small" | "medium" | "large" | undefined> | undefined>;
    replace: NonNullable<NonNullable<boolean | undefined> | undefined>;
    preset: string;
    append: NonNullable<NonNullable<boolean | undefined> | undefined>;
    type: string;
    disabled: NonNullable<NonNullable<boolean | undefined> | undefined>;
    tag: string;
    modelValue: string | number | boolean;
    href: string;
    color: string;
    loading: NonNullable<NonNullable<boolean | undefined> | undefined>;
    to: NonNullable<NonNullable<string | Record<string, any> | undefined> | undefined>;
    exact: NonNullable<NonNullable<boolean | undefined> | undefined>;
    activeClass: string;
    exactActiveClass: string;
    target: string;
    textBy: StringOrFunction;
    valueBy: StringOrFunction;
    trackBy: StringOrFunction;
    disabledBy: StringOrFunction;
    groupBy: StringOrFunction;
    sizesConfig: Record<string, any>;
    textColor: string;
    round: NonNullable<NonNullable<boolean | undefined> | undefined>;
    fontSizesConfig: Record<string, any>;
    icon: string;
    textOpacity: NonNullable<NonNullable<string | number | undefined> | undefined>;
    backgroundOpacity: NonNullable<NonNullable<string | number | undefined> | undefined>;
    borderColor: string;
    gradient: NonNullable<boolean | undefined>;
    plain: NonNullable<NonNullable<boolean | undefined> | undefined>;
    iconRight: string;
    iconColor: string;
    pressedBehavior: NonNullable<NonNullable<"mask" | "opacity" | undefined> | undefined>;
    pressedOpacity: number;
    pressedMaskColor: string;
    hoverBehavior: NonNullable<NonNullable<"mask" | "opacity" | undefined> | undefined>;
    hoverOpacity: NonNullable<NonNullable<string | number | undefined> | undefined>;
    hoverMaskColor: string;
    grow: NonNullable<boolean | undefined>;
    toggleColor: string;
}, {}>;
export default _default;
