import { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    modelValue: {
        type: StringConstructor;
        default: null;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    indicator: {
        type: PropType<"square" | "dot">;
        default: string;
        validator: (value: string) => boolean;
    };
    ariaOpenColorPickerLabel: {
        type: PropType<import("../../composables").TranslationProp>;
        default: import("../../composables").TranslationProp;
    };
    preset: {
        type: StringConstructor;
        default: undefined;
    };
    stateful: {
        type: PropType<boolean>;
        default: boolean;
    };
    label: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    error: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    onClick: {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    name: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    mask: {
        type: PropType<NonNullable<string | Record<string, number[]> | import("cleave.js/options").CleaveOptions | undefined>>;
        required: true;
        default: string | Record<string, number[]> | import("cleave.js/options").CleaveOptions | undefined;
    };
    pattern: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    success: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    autofocus: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    type: {
        type: PropType<NonNullable<import("../../utils/types/prop-type").StringWithAutocomplete<"text" | "password"> | undefined>>;
        required: true;
        default: import("../../utils/types/prop-type").StringWithAutocomplete<"text" | "password"> | undefined;
    };
    readonly: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    errorMessages: {
        type: PropType<NonNullable<string | string[] | undefined>>;
        required: true;
        default: string | string[] | undefined;
    };
    "onUpdate:modelValue": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    color: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    loading: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    rules: {
        type: PropType<import("../../composables").ValidationRule<string>[]>;
        required: true;
        default: import("../../composables").ValidationRule<string>[] | undefined;
    };
    dirty: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    errorCount: {
        type: PropType<NonNullable<string | number | undefined>>;
        required: true;
        default: string | number | undefined;
    };
    messages: {
        type: PropType<NonNullable<string | string[] | undefined>>;
        required: true;
        default: string | string[] | undefined;
    };
    immediateValidation: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    background: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    tabindex: {
        type: PropType<NonNullable<string | number | undefined>>;
        required: true;
        default: string | number | undefined;
    };
    requiredMark: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    inputAriaLabel: {
        type: PropType<NonNullable<NonNullable<import("../../composables").TranslationProp | undefined> | undefined>>;
        required: true;
        default: NonNullable<import("../../composables").TranslationProp | undefined> | undefined;
    };
    inputAriaLabelledby: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    inputAriaDescribedby: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    "onClick-prepend": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    "onClick-append": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    "onClick-prepend-inner": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    "onClick-append-inner": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    "onClick-field": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    counter: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    maxLength: {
        type: PropType<NonNullable<NonNullable<string | number | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | number | undefined> | undefined;
    };
    placeholder: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    innerLabel: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    returnRaw: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    inputClass: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    inputmode: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    ariaResetLabel: {
        type: PropType<NonNullable<import("../../composables").TranslationProp | undefined>>;
        required: true;
        default: import("../../composables").TranslationProp | undefined;
    };
    strictBindInputValue: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    clearable: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    clearableIcon: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    clearValue: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:modelValue": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: StringConstructor;
        default: null;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    indicator: {
        type: PropType<"square" | "dot">;
        default: string;
        validator: (value: string) => boolean;
    };
    ariaOpenColorPickerLabel: {
        type: PropType<import("../../composables").TranslationProp>;
        default: import("../../composables").TranslationProp;
    };
    preset: {
        type: StringConstructor;
        default: undefined;
    };
    stateful: {
        type: PropType<boolean>;
        default: boolean;
    };
    label: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    error: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    onClick: {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    name: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    mask: {
        type: PropType<NonNullable<string | Record<string, number[]> | import("cleave.js/options").CleaveOptions | undefined>>;
        required: true;
        default: string | Record<string, number[]> | import("cleave.js/options").CleaveOptions | undefined;
    };
    pattern: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    success: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    autofocus: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    type: {
        type: PropType<NonNullable<import("../../utils/types/prop-type").StringWithAutocomplete<"text" | "password"> | undefined>>;
        required: true;
        default: import("../../utils/types/prop-type").StringWithAutocomplete<"text" | "password"> | undefined;
    };
    readonly: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    errorMessages: {
        type: PropType<NonNullable<string | string[] | undefined>>;
        required: true;
        default: string | string[] | undefined;
    };
    "onUpdate:modelValue": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    color: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    loading: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    rules: {
        type: PropType<import("../../composables").ValidationRule<string>[]>;
        required: true;
        default: import("../../composables").ValidationRule<string>[] | undefined;
    };
    dirty: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    errorCount: {
        type: PropType<NonNullable<string | number | undefined>>;
        required: true;
        default: string | number | undefined;
    };
    messages: {
        type: PropType<NonNullable<string | string[] | undefined>>;
        required: true;
        default: string | string[] | undefined;
    };
    immediateValidation: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    background: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    tabindex: {
        type: PropType<NonNullable<string | number | undefined>>;
        required: true;
        default: string | number | undefined;
    };
    requiredMark: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    inputAriaLabel: {
        type: PropType<NonNullable<NonNullable<import("../../composables").TranslationProp | undefined> | undefined>>;
        required: true;
        default: NonNullable<import("../../composables").TranslationProp | undefined> | undefined;
    };
    inputAriaLabelledby: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    inputAriaDescribedby: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    "onClick-prepend": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    "onClick-append": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    "onClick-prepend-inner": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    "onClick-append-inner": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    "onClick-field": {
        type: PropType<(...args: any[]) => any>;
        required: true;
        default: ((...args: any[]) => any) | undefined;
    };
    counter: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    maxLength: {
        type: PropType<NonNullable<NonNullable<string | number | undefined> | undefined>>;
        required: true;
        default: NonNullable<string | number | undefined> | undefined;
    };
    placeholder: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    innerLabel: {
        type: PropType<NonNullable<NonNullable<boolean | undefined> | undefined>>;
        required: true;
        default: NonNullable<boolean | undefined> | undefined;
    };
    returnRaw: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    inputClass: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    inputmode: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    ariaResetLabel: {
        type: PropType<NonNullable<import("../../composables").TranslationProp | undefined>>;
        required: true;
        default: import("../../composables").TranslationProp | undefined;
    };
    strictBindInputValue: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    clearable: {
        type: PropType<NonNullable<boolean | undefined>>;
        required: true;
        default: boolean | undefined;
    };
    clearableIcon: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
    clearValue: {
        type: PropType<string>;
        required: true;
        default: string | undefined;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    label: string;
    error: NonNullable<boolean | undefined>;
    onClick: (...args: any[]) => any;
    preset: string;
    name: string;
    mask: NonNullable<string | Record<string, number[]> | import("cleave.js/options").CleaveOptions | undefined>;
    pattern: string;
    success: NonNullable<boolean | undefined>;
    autofocus: NonNullable<boolean | undefined>;
    type: NonNullable<import("../../utils/types/prop-type").StringWithAutocomplete<"text" | "password"> | undefined>;
    disabled: boolean;
    readonly: NonNullable<boolean | undefined>;
    errorMessages: NonNullable<string | string[] | undefined>;
    "onUpdate:modelValue": (...args: any[]) => any;
    modelValue: string;
    stateful: boolean;
    color: string;
    loading: NonNullable<NonNullable<boolean | undefined> | undefined>;
    rules: import("../../composables").ValidationRule<string>[];
    dirty: NonNullable<boolean | undefined>;
    errorCount: NonNullable<string | number | undefined>;
    messages: NonNullable<string | string[] | undefined>;
    immediateValidation: NonNullable<boolean | undefined>;
    background: string;
    tabindex: NonNullable<string | number | undefined>;
    requiredMark: NonNullable<NonNullable<boolean | undefined> | undefined>;
    inputAriaLabel: NonNullable<NonNullable<import("../../composables").TranslationProp | undefined> | undefined>;
    inputAriaLabelledby: string;
    inputAriaDescribedby: string;
    "onClick-prepend": (...args: any[]) => any;
    "onClick-append": (...args: any[]) => any;
    "onClick-prepend-inner": (...args: any[]) => any;
    "onClick-append-inner": (...args: any[]) => any;
    "onClick-field": (...args: any[]) => any;
    counter: NonNullable<boolean | undefined>;
    maxLength: NonNullable<NonNullable<string | number | undefined> | undefined>;
    placeholder: string;
    innerLabel: NonNullable<NonNullable<boolean | undefined> | undefined>;
    returnRaw: NonNullable<boolean | undefined>;
    inputClass: string;
    inputmode: string;
    ariaResetLabel: NonNullable<import("../../composables").TranslationProp | undefined>;
    strictBindInputValue: NonNullable<boolean | undefined>;
    clearable: NonNullable<boolean | undefined>;
    clearableIcon: string;
    clearValue: string;
    indicator: "square" | "dot";
    ariaOpenColorPickerLabel: import("../../composables").TranslationProp;
}, {}>;
export default _default;
