import { ExtractPropTypes, PropType } from 'vue';
import type { DataTableCell, DataTableRow, DataTableRowBind, DataTableCellBind } from '../types';
export declare const useBindingProps: {
    rowBind: {
        type: PropType<DataTableRowBind | undefined>;
    };
    cellBind: {
        type: PropType<DataTableCellBind | undefined>;
    };
};
export declare const useBinding: (props: ExtractPropTypes<typeof useBindingProps>) => {
    getRowBind: (row: DataTableRow) => Record<string, string>;
    getCellBind: (cell: DataTableCell, row: DataTableRow) => Record<string, string>;
};
