import { ExtractPropTypes, PropType } from 'vue';
import type { DataTableColumnSource, DataTableColumnInternal, DataTableSortingOptions } from '../types';
export declare const sortingOptionsValidator: (options: DataTableSortingOptions) => boolean;
export declare const useColumnsProps: {
    columns: {
        type: PropType<DataTableColumnSource[]>;
        default: () => DataTableColumnSource[];
    };
    sortingOptions: {
        type: PropType<DataTableSortingOptions>;
        default: () => (string | null)[];
        validator: (options: DataTableSortingOptions) => boolean;
    };
    items: {
        type: PropType<unknown[]>;
        default: () => unknown[];
    };
};
type useColumnsPropsType = ExtractPropTypes<typeof useColumnsProps>;
export declare const buildTableColumn: (source: DataTableColumnSource, initialIndex: number, props: useColumnsPropsType) => DataTableColumnInternal;
export declare const useColumns: (props: useColumnsPropsType) => {
    columnsComputed: import("vue").ComputedRef<DataTableColumnInternal[]>;
};
export {};
