import { ComputedRef } from 'vue';
import { DatePickerMode, DatePickerModelValue, DatePickerType } from '../types';
export declare const useDatePicker: (type: DatePickerType, dates: ComputedRef<Date[]>, props: {
    modelValue?: DatePickerModelValue;
    mode: DatePickerMode;
    readonly: boolean;
    allowedDays?: ((date: Date) => boolean) | undefined;
    allowedMonths?: ((date: Date) => boolean) | undefined;
    allowedYears?: ((date: Date) => boolean) | undefined;
}, emit: (event: 'update:modelValue' | any, ...args: any[]) => void) => {
    hoveredIndex: import("vue").Ref<number>;
    hoveredValue: ComputedRef<Date>;
    onClick: (date: Date) => void;
    isToday: (date: Date) => boolean;
    isSelected: (date: Date) => boolean;
    isInRange: (date: Date) => boolean;
};
