import { Ref } from 'vue';
import { CursorAnchor, DropdownOffsetProp } from '../types';
import { PlacementWithAlias } from '../../../composables';
type useDropdownOptions = {
    placement: PlacementWithAlias;
    offset: DropdownOffsetProp;
    autoPlacement: boolean;
    stickToEdges: boolean;
    keepAnchorWidth: boolean;
    verticalScrollOnOverflow: boolean;
};
export declare const useDropdown: (anchorComputed: Ref<HTMLElement | CursorAnchor | undefined>, floating: Ref<HTMLElement | undefined>, target: Ref<HTMLElement | undefined>, options: Ref<useDropdownOptions>) => {
    floatingStyles: import("vue").ComputedRef<{
        position: import("@floating-ui/utils").Strategy;
        top: string;
        left: string;
        transform?: string | undefined;
        willChange?: string | undefined;
    } | {
        position: string;
    } | undefined>;
    isPositioned: Ref<boolean> | Readonly<Ref<boolean>>;
};
export {};
