import { PropType } from 'vue';
import { ToastPosition } from './types';
import { StringWithAutocomplete } from '../../utils/types/prop-type';
declare const _default: import("vue").DefineComponent<{
    title: {
        type: StringConstructor;
        default: string;
    };
    offsetY: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    offsetX: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    message: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    dangerouslyUseHtmlString: {
        type: BooleanConstructor;
        default: boolean;
    };
    icon: {
        type: StringConstructor;
        default: string;
    };
    customClass: {
        type: StringConstructor;
        default: string;
    };
    duration: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    closeable: {
        type: BooleanConstructor;
        default: boolean;
    };
    onClose: {
        type: FunctionConstructor;
    };
    onClick: {
        type: FunctionConstructor;
    };
    multiLine: {
        type: BooleanConstructor;
        default: boolean;
    };
    position: {
        type: PropType<ToastPosition>;
        default: string;
        validator: (value: string) => boolean;
    };
    render: {
        type: FunctionConstructor;
    };
    ariaCloseLabel: {
        type: PropType<import("../../composables").TranslationProp>;
        default: import("../../composables").TranslationProp;
    };
    role: {
        type: PropType<StringWithAutocomplete<"status" | "alert" | "alertdialog">>;
        default: undefined;
    };
    inline: {
        type: BooleanConstructor;
        default: boolean;
    };
    preset: {
        type: StringConstructor;
        default: undefined;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "on-click": (...args: any[]) => void;
    "on-close": (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: StringConstructor;
        default: string;
    };
    offsetY: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    offsetX: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    message: {
        type: (StringConstructor | FunctionConstructor)[];
        default: string;
    };
    dangerouslyUseHtmlString: {
        type: BooleanConstructor;
        default: boolean;
    };
    icon: {
        type: StringConstructor;
        default: string;
    };
    customClass: {
        type: StringConstructor;
        default: string;
    };
    duration: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    color: {
        type: StringConstructor;
        default: string;
    };
    closeable: {
        type: BooleanConstructor;
        default: boolean;
    };
    onClose: {
        type: FunctionConstructor;
    };
    onClick: {
        type: FunctionConstructor;
    };
    multiLine: {
        type: BooleanConstructor;
        default: boolean;
    };
    position: {
        type: PropType<ToastPosition>;
        default: string;
        validator: (value: string) => boolean;
    };
    render: {
        type: FunctionConstructor;
    };
    ariaCloseLabel: {
        type: PropType<import("../../composables").TranslationProp>;
        default: import("../../composables").TranslationProp;
    };
    role: {
        type: PropType<StringWithAutocomplete<"status" | "alert" | "alertdialog">>;
        default: undefined;
    };
    inline: {
        type: BooleanConstructor;
        default: boolean;
    };
    preset: {
        type: StringConstructor;
        default: undefined;
    };
}>> & {
    "onOn-click"?: ((...args: any[]) => any) | undefined;
    "onOn-close"?: ((...args: any[]) => any) | undefined;
}, {
    title: string;
    preset: string;
    message: string | Function;
    role: StringWithAutocomplete<"status" | "alert" | "alertdialog">;
    color: string;
    duration: string | number;
    position: ToastPosition;
    icon: string;
    inline: boolean;
    ariaCloseLabel: import("../../composables").TranslationProp;
    closeable: boolean;
    multiLine: boolean;
    offsetY: string | number;
    offsetX: string | number;
    dangerouslyUseHtmlString: boolean;
    customClass: string;
}, {}>;
export default _default;
