import { WritableComputedRef } from 'vue';
/**
 * This composable must be used to make global variables. This global is shared in app context, rather then
 * in window context. This is useful to avoid global variables in window context in multiple app mode, ssr
 * or cjs build can mess up global variables
 */
export declare const useAppGlobal: <T>(key: string, defaultValue: T) => WritableComputedRef<T>;
