import { Ref } from 'vue';
/**
 * You could add these props to any component by destructuring them inside props option.
 * @example
 * props: { ...useMaxSelectionsProps, componentsOwnProp, etc. }
 * It's better to add props at the beginning, to make sure that Component own props will be used instead in case of collision
 */
export declare const useMaxSelectionsProps: {
    maxSelections: {
        type: (StringConstructor | NumberConstructor)[];
        default: undefined;
    };
};
export declare function useMaxSelections(selections: Ref<any[]>, maxSelections: Ref<number | string | undefined>): {
    exceedsMaxSelections: () => boolean;
    addOption: <T>(optionToAdd: T) => any[];
};
