import { PropType, type ExtractPropTypes } from 'vue';
export declare const useRouterLinkProps: {
    tag: {
        type: StringConstructor;
        default: string;
    };
    to: {
        type: PropType<string | Record<string, any>>;
        default: undefined;
    };
    replace: {
        type: BooleanConstructor;
        default: undefined;
    };
    append: {
        type: BooleanConstructor;
        default: undefined;
    };
    exact: {
        type: BooleanConstructor;
        default: undefined;
    };
    activeClass: {
        type: StringConstructor;
        default: undefined;
    };
    exactActiveClass: {
        type: StringConstructor;
        default: undefined;
    };
    href: {
        type: StringConstructor;
        default: undefined;
    };
    target: {
        type: StringConstructor;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export declare const useRouterLink: (props: ExtractPropTypes<typeof useRouterLinkProps>) => {
    isLinkTag: import("vue").ComputedRef<boolean>;
    tagComputed: import("vue").ComputedRef<string | import("vue").Component>;
    hrefComputed: import("vue").ComputedRef<any>;
    isActiveRouterLink: import("vue").ComputedRef<boolean>;
    linkAttributesComputed: import("vue").ComputedRef<{
        target?: undefined;
        href?: undefined;
        to?: undefined;
        replace?: undefined;
        append?: undefined;
        activeClass?: undefined;
        exact?: undefined;
        exactActiveClass?: undefined;
    } | {
        target: string | undefined;
        href: any;
        to?: undefined;
        replace?: undefined;
        append?: undefined;
        activeClass?: undefined;
        exact?: undefined;
        exactActiveClass?: undefined;
    } | {
        target: string | undefined;
        to: string | Record<string, any> | undefined;
        replace: boolean | undefined;
        append: boolean | undefined;
        activeClass: string | undefined;
        exact: boolean | undefined;
        exactActiveClass: string | undefined;
        href?: undefined;
    }>;
};
