import { ExtractPropTypes } from 'vue';
/**
 * Filter current component props to much `childProps` param
 *
 * Used to proxy child component props from parent.
 *
 * @param childProps - child component props declaration
 */
export declare const filterComponentProps: <ChildProps extends Record<string, unknown>>(childProps: ChildProps) => import("vue").ComputedRef<ExtractPropTypes<ChildProps>>;
