import type { PropType } from 'vue';
/** This will accept any string, but will suggest all strings from `T`. Used for better IDE support in component props. */
export type StringWithAutocomplete<T> = T | (string & Record<never, never>);
/**
 * Vuestic custom PropType for better DX.
 * Prop accept any string, but will show autocomplete in IDE. We don't want user to write `as const` every time.
 */
export type AnyStringPropType<T, StringType = StringWithAutocomplete<T>> = true extends boolean ? PropType<T extends string ? StringType : T> : never;
