import { Ref } from 'vue';
/**
 * Do not watches for effect, but looking for computed ref setter triggered.
 * Used to track when component tries to update computed ref.
 *
 * @notice you likely want to watch when value is changed, not setter is called.
 */
export declare const watchSetter: <T>(ref: Ref<T>, cb: (newValue: T) => void) => void;
