/**
 * Render slot node with attributes
 *
 * If your component has multiple root elements, vue will not pass attributes automatically.
 * With `WithAttributes` you can wrap element that must be rendered with attributes.
 * You can also specify attributes manually using `attrs` prop.
 *
 * @notice slot can be wrapped, then attributes will be passed to the element rendered in slot
 *
 * @example
 *
 * ```
 * <template>
 *   <WithAttributes>
 *     <slot />
 *   </WithAttributes>
 *   <div>
 *     Hello message below!
 *   </div>
 * ```
 */
export declare const WithAttributes: import("vue").DefineComponent<{
    attrs: {
        type: ObjectConstructor;
    };
}, unknown, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    attrs: {
        type: ObjectConstructor;
    };
}>>, {}, {}>;
